Package org.eclipse.mat.parser.internal.util

## Class ParserRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<ParserRegistry.Parser>
  - - org.eclipse.mat.parser.internal.util.ParserRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

    public class ParserRegistry
    extends RegistryReader<ParserRegistry.Parser>

### Nested Class Summary

Nested Classes
`class` `ParserRegistry.DynamicParser` This is not a real parser - but a place holder.
`class` `ParserRegistry.Parser`

### Field Summary

Fields
`static String` `CONTENT_TYPE_BINDING`
`static String` `CONTENT_TYPE_ID`
`static String` `INDEX_BUILDER`
`static String` `OBJECT_READER`

### Constructor Summary

Constructors
`ParserRegistry​(IExtensionTracker tracker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParserRegistry.Parser` `createDelegate​(IConfigurationElement configElement)`
`Collection<ParserRegistry.Parser>` `delegates()`
`ParserRegistry.Parser` `lookupParser​(String uniqueIdentifier)`
`List<ParserRegistry.Parser>` `matchParser​(String fileName)`
`List<ParserRegistry.Parser>` `matchParser​(IContentType contentType)`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INDEX_BUILDER

    public static final String INDEX_BUILDER

See Also:
  Constant Field Values

#### OBJECT_READER

    public static final String OBJECT_READER

See Also:
  Constant Field Values

#### CONTENT_TYPE_BINDING

    public static final String CONTENT_TYPE_BINDING

See Also:
  Constant Field Values

#### CONTENT_TYPE_ID

    public static final String CONTENT_TYPE_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ParserRegistry

    public ParserRegistry​(IExtensionTracker tracker)

### Method Detail

#### createDelegate

    public ParserRegistry.Parser createDelegate​(IConfigurationElement configElement)

#### lookupParser

    public ParserRegistry.Parser lookupParser​(String uniqueIdentifier)

#### matchParser

    public List<ParserRegistry.Parser> matchParser​(String fileName)

#### matchParser

    public List<ParserRegistry.Parser> matchParser​(IContentType contentType)

#### delegates

    public Collection<ParserRegistry.Parser> delegates()

Overrides:
  `delegates` in class `RegistryReader<ParserRegistry.Parser>`